For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • POSTConvert flow to tool
      • POSTDeploy Runtype Sandbox
      • DELCleanup Runtype Sandbox
      • POSTDeploy Daytona sandbox
      • DELCleanup Daytona sandbox
      • GETGet tool schemas
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
      • POSTExecute tool
      • POSTTest tool
Dashboard
LogoLogo
Runtype APITools

Convert flow to tool

POST
/v1/tools/flows/:flowId/convert-to-tool
POST
/v1/tools/flows/:flowId/convert-to-tool
$curl -X POST https://api.runtype.com/v1/tools/flows/flowId/convert-to-tool \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "description": "Analyze customer data using the Customer Analysis flow",
> "name": "Customer Analysis Tool",
> "outputMapping": "steps.final_analysis.result",
> "parameterMapping": {
> "customerEmail": "record.metadata.email",
> "customerName": "record.metadata.name"
> }
>}'
1{
2 "config": {},
3 "createdAt": "string",
4 "description": "string",
5 "id": "string",
6 "isActive": true,
7 "name": "string",
8 "organizationId": "string",
9 "toolType": "string",
10 "updatedAt": "string",
11 "userId": "string",
12 "parametersSchema": {},
13 "validation": {
14 "warnings": [
15 {
16 "code": "string",
17 "message": "string",
18 "severity": "error",
19 "column": 1.1,
20 "line": 1.1,
21 "suggestion": "string"
22 }
23 ]
24 }
25}

Create a flow-type tool from an existing flow, generating its parameters schema from the flow steps.

Was this page helpful?
Previous

Deploy Runtype Sandbox

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

flowIdstringRequired

Request

This endpoint expects a map from strings to any.

Response

Created tool
configmap from strings to any or null
createdAtstring
descriptionstring or null
idstring
isActiveboolean
namestring
organizationIdstring or null
toolTypestring
updatedAtstring
userIdstring
parametersSchemamap from strings to any
validationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error